%define major	1
%define libname	%mklibname cerf %{major}
%define devname	%mklibname cerf -d

Name:		libcerf
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Version:	1.5
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
Url:		http://apps.jcns.fz-juelich.de/libcerf
Source0:	http://apps.jcns.fz-juelich.de/src/libcerf/libcerf-%{version}.tgz
Patch0:		libcerf-1.5-fix-version.patch

%description
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{libname}
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Group:		System/Libraries

%description -n %{libname}
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc CHANGELOG README
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc %{_docdir}/libcerf/
%{_includedir}/cerf.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
* Sun Jan 01 2017 wally <wally> 1.5-1.mga6
+ Revision: 1079229
- new version 1.5
- update URL and Source tags
- rediff P0

* Thu Feb 11 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 955450
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 1.3-1.mga6
+ Revision: 868304
- imported package libcerf

